> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Flux Kontext

> Frontier model designed for image editing, optimized for Krea

## Pricing

<Note>Fixed API prices in USD.</Note>

**Price:** \$0.0128 per request

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated            | Use instead      | Accepted until |
  | --------------------- | ---------------- | -------------- |
  | `imageUrl`            | `image_url`      | 2026-06-19     |
  | `styleImages`         | `style_images`   | 2026-06-19     |
  | `guidance_scale_flux` | `guidance_scale` | 2026-06-19     |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/image/bfl/flux-1-kontext-dev
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /generate/image/bfl/flux-1-kontext-dev:
    post:
      tags:
        - Image
      summary: Flux Kontext
      description: Frontier model designed for image editing, optimized for Krea
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  maxLength: 1800
                seed:
                  type: number
                  default: 461986991
                steps:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 25
                width:
                  type: number
                  minimum: 512
                  maximum: 2368
                  default: 1024
                height:
                  type: number
                  minimum: 512
                  maximum: 2368
                  default: 1024
                image_url:
                  type:
                    - string
                    - 'null'
                  format: uri
                strength:
                  type: number
                  minimum: 0
                  maximum: 1
                  default: 1
                  description: >-
                    Denoising strength when an input image is provided. 0 keeps
                    the input image, 1 fully replaces it.
                guidance_scale:
                  type: number
                  minimum: 0
                  maximum: 24
                  default: 3
                  description: >-
                    Classifier-free guidance scale. Higher values follow the
                    prompt more strictly. Default 3.0.
                style_images:
                  type: array
                  items:
                    type: object
                    properties:
                      strength:
                        type: number
                        minimum: -2
                        maximum: 2
                      url:
                        type: string
                        format: uri
                    required:
                      - strength
                  maxItems: 1
                  description: Image prompts to use for the generation
              required:
                - prompt
              additionalProperties: false
            example:
              prompt: >-
                Moss-covered forest, with ancient trees and a floor lit by
                fireflies.
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````